[@algorandfoundation/algokit-utils](../README.md) / [types/debugging](../modules/types_debugging.md) / TealSourceDebugEventData

# Interface: TealSourceDebugEventData

[types/debugging](../modules/types_debugging.md).TealSourceDebugEventData

Represents the data for a single TEAL source

## Table of contents

### Properties

- [appName](types_debugging.TealSourceDebugEventData.md#appname)
- [compiledTeal](types_debugging.TealSourceDebugEventData.md#compiledteal)
- [fileName](types_debugging.TealSourceDebugEventData.md#filename)

## Properties

### appName

• **appName**: `string`

The name of the application

#### Defined in

[src/types/debugging.ts:28](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/debugging.ts#L28)

___

### compiledTeal

• **compiledTeal**: [`CompiledTeal`](types_app.CompiledTeal.md)

The compiled TEAL code

#### Defined in

[src/types/debugging.ts:32](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/debugging.ts#L32)

___

### fileName

• **fileName**: `string`

The name of the file

#### Defined in

[src/types/debugging.ts:30](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/debugging.ts#L30)
